Subject: New patch available (was RE: sshd, forks, b19 and segmentation violations)
From: [email-masked] (Sergey Okhapkin)

2 Mar 1998 11:10:22 -0800
Message-ID: <[email-masked]>
To: "'Patrick J. Fay'" <[email-masked]>
Cc: "'Gnu-Win32'" <[email-masked]>

Patrick J. Fay wrote:
> Now I'm working on sshd. If I run it in the forground ('sshd -d')
> it runs fine. If I run with -d then it forks into the background.
> And then it gets a segmentation violation. This worked fine before on
> b18, it's fairly standard code used on lots of platforms so it's
> likely that it's some b19 issue.
> 

Fixed :-)

forkopen.diff
	 - This patch fixes a problem with a traps in open() calls in a forked process when parent uses sockets, but the child do not.

-- 
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".